clan::SoundProvider_Wave Class Reference - ClanLib SDK
Description: clan::SoundProvider_Wave Class Reference

Public Member Functions | Friends | List of all members
clan::SoundProvider_Wave Class Reference
clanSound Sound Providers

Windows WAVE sample format (.wav) sound provider. More...

`#include <soundprovider_wave.h>`

Inheritance diagram for clan::SoundProvider_Wave:

## Public Member Functions
| SoundProvider_Wave (const std::string &filename, const FileSystem &fs, bool stream=false)
| Constructs a sound provider based on a Windows wave (.wav) file.
| SoundProvider_Wave (const std::string &fullname, bool stream=false)
| SoundProvider_Wave (IODevice &file, bool stream=false)
| ~SoundProvider_Wave () override
SoundProvider_Session * | begin_session () override
| Called by SoundBuffer when a new session starts.
void | end_session (SoundProvider_Session *session) override
| Called by SoundBuffer when a session has finished. After this call,.
Public Member Functions inherited from clan::SoundProvider
| SoundProvider ()
virtual | ~SoundProvider ()

## Friends
class | SoundProvider_Wave_Session

## Detailed Description

Windows WAVE sample format (.wav) sound provider.

## Constructor & Destructor Documentation

## ◆ SoundProvider_Wave() [1/3]

clan::SoundProvider_Wave::SoundProvider_Wave | ( | const std::string & | filename,
|  | const FileSystem & | fs,
|  | bool | stream = false )

Constructs a sound provider based on a Windows wave (.wav) file.

Parameters

  filename | Filename of wave file.
  provider | Input source provider used to retrieve wave file.
  stream | If true, will stream from disk. If false, will load it to memory.

## ◆ SoundProvider_Wave() [2/3]

clan::SoundProvider_Wave::SoundProvider_Wave | ( | const std::string & | fullname,
|  | bool | stream = false )

## ◆ SoundProvider_Wave() [3/3]

clan::SoundProvider_Wave::SoundProvider_Wave | ( | IODevice & | file,
|  | bool | stream = false )

## ◆ ~SoundProvider_Wave()

clan::SoundProvider_Wave::~SoundProvider_Wave | ( |  | ) |
| override

## Member Function Documentation

## ◆ begin_session()

SoundProvider_Session * clan::SoundProvider_Wave::begin_session | ( |  | ) |
| overridevirtual

Called by SoundBuffer when a new session starts.

Returns
  The soundbuffer session to be attached to the newly started session.

Implements clan::SoundProvider.

## ◆ end_session()

void clan::SoundProvider_Wave::end_session | ( | SoundProvider_Session * | session | ) |
| overridevirtual

Called by SoundBuffer when a session has finished. After this call,.

SoundBuffer will not access the session anymore. It can safely be deleted here (and in most cases should be delete here).

Implements clan::SoundProvider.

## Friends And Related Symbol Documentation

## ◆ SoundProvider_Wave_Session

friend class SoundProvider_Wave_Session
| friend

References SoundProvider_Wave_Session.

Referenced by SoundProvider_Wave_Session.

The documentation for this class was generated from the following file:

- soundprovider_wave.h